/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");
         
         // Ocultar un elemento 
         sym.$("Contenido").html("Knut nació en cautiverio y cuando su madre lo rechazó fue rescatado por el cuidador del zoológico, quién se encargó de su cuidado y alimentación.<br>Algunos activistas pensaron que lo mejor era dejar morir al osezno y no acostumbrarlo al cuidado humano, pero su cuidador decidió convertirlo en <b>el animal más famoso de Berlín.</b>");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliar}", "click", function(sym, e) {
         //sym.$("title").fadeIn("slow");
         sym.$("Text").hide();
         sym.$("Text").html("El título de la noticia debe llamar la atención de los lectores.");
         sym.$("Text").fadeIn("slow");
         
         
         sym.$("Sim_titulo").fadeIn("slow");
         sym.getSymbol("Sim_titulo").play(0);
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliarCopy}", "click", function(sym, e) {
         sym.$("Text").hide();
         sym.$("Text").html("La oración que resume la noticia se llama bajada.");
         sym.$("Text").fadeIn("slow");
         
         
         sym.$("Sim_Bajada").fadeIn("slow");
         sym.getSymbol("Sim_Bajada").play(0);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliarCopy2}", "click", function(sym, e) {
         //sym.$("Contenido").fadeIn("slow");
         
         sym.$("Text").hide();
         sym.$("Text").html("Las noticias muestran datos interesantes acerca de los temas.");
         sym.$("Text").fadeIn("slow");
         
         
         sym.$("Sim_Contenido").fadeIn("slow");
         sym.getSymbol("Sim_Contenido").play(0);
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_ampliarCopy3}", "click", function(sym, e) {
         //sym.getSymbol("tabled").$("Bear").fadeIn("slow");
         sym.$("Text").hide();
         sym.$("Text").html("Las noticias incluyen fotografías o imágenes que ayudan a comprender el tema.");
         sym.$("Text").fadeIn("slow");
         
         
         sym.$("Sim_Imagen").fadeIn("slow");
         sym.getSymbol("Sim_Imagen").play(0);

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'tabled'
   (function(symbolName) {   
   
   })("tabled");
   //Edge symbol end:'tabled'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_info'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_ampliar");
   //Edge symbol end:'bt_ampliar'

   //=========================================================
   
   //Edge symbol: 'Sim_titulo'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("Sim_titulo").hide();
         sym.getComposition().getStage().getSymbol("bt_ampliar").stop("up");
         
         sym.getComposition().getStage().$("Text").html("Las noticias escritas se pueden leer en periódicos y en dispositivos digitales.");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

   })("Sim_titulo");
   //Edge symbol end:'Sim_titulo'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'Sim_titulo_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("Sim_Bajada").hide();
         sym.getComposition().getStage().getSymbol("bt_ampliarCopy").stop("up");
         sym.getComposition().getStage().$("Text").html("Las noticias escritas se pueden leer en periódicos y en dispositivos digitales.");

      });
      //Edge binding end

   })("Sim_Bajada");
   //Edge symbol end:'Sim_Bajada'

   //=========================================================
   
   //Edge symbol: 'Sim_Bajada_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("Sim_Contenido").hide();
         sym.getComposition().getStage().getSymbol("bt_ampliarCopy2").stop("up");
         sym.getComposition().getStage().$("Text").html("Las noticias escritas se pueden leer en periódicos y en dispositivos digitales.");

      });
      //Edge binding end

   })("Sim_Contenido");
   //Edge symbol end:'Sim_Contenido'

   //=========================================================
   
   //Edge symbol: 'Sim_Bajada_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("Sim_Imagen").hide();
         sym.getComposition().getStage().getSymbol("bt_ampliarCopy3").stop("up");
         sym.getComposition().getStage().$("Text").html("Las noticias escritas se pueden leer en periódicos y en dispositivos digitales.");

      });
      //Edge binding end

   })("Sim_Imagen");
   //Edge symbol end:'Sim_Imagen'

})(jQuery, AdobeEdge, "EDGE-5531445");